Transfers

Claim pending social pay orders

POST/v1/social-pay/order/claim

Claims one or more pending social payment orders for the authenticated user. Each claim specifies the target pocket where the funds should be deposited.

Returns a result per order indicating success or failure with a message.

Authorization

ApiKeyAuth
X-Api-Key<token>

For accessing these endpoints a valid API key must be sent in the X-Api-Key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[index: integer]?

Response Body

application/json

application/json

application/json

application/json

application/json

Claim pending social pay orders
curl --request POST \  --url 'https://gateway.bit2me.com/v1/social-pay/order/claim' \  --header 'Content-Type: application/json' \  --data '[  {    "orderId": "304809b8-0a04-4f88-af75-069ab4e5a36b",    "pocketId": "e108f9c3-c3ae-4c43-b2fb-7ac04c2f12f6"  }]'
[  {    "orderId": "304809b8-0a04-4f88-af75-069ab4e5a36b",    "result": true  }]